from PIL import Image
import glob
import os

def dothething(file):
    img = Image.open(file)
    img = img.convert('RGBA')

    colors = img.getcolors(9999999)
    colors.sort(key=lambda x: x[0],reverse=True)
    # ignore colors with alpha less than 100
    colors = list(filter(lambda x: x[1][3]>100,colors))
    if len(colors) == 0:
    	return
    # most used color
    most = colors[0][1]

    if not os.path.isdir('new/'+os.path.dirname(file)):
        os.makedirs('new/'+os.path.dirname(file))
    Image.new('RGB',(img.width,img.height),most).save('new/'+file)

files = glob.glob('**/*.png',recursive=True)
files.extend(glob.glob('**/*.jpg',recursive=True))

for i in files:
    print(i)
    dothething(i)
